document.getElementById("yview").onclick=updateyLink;
document.getElementById("fview").onclick=updatefLink;
document.getElementById("sview").onclick=updatesLink;

function updateyLink(){
  var T = document.getElementById("ylink").value;
  document.getElementById("evideo") .src="https://www.youtube.com/embed/"+T; 
}

function updatefLink(){
  document.getElementById("fbdiv").setAttribute(
    'data-href',
    document.getElementById("flink").value); 
  FB.XFBML.parse(); 
}
function updatesLink(){
  var node = document.getElementById("msc");
  while (node.firstChild) { node.removeChild(node.firstChild); }
  node.innerHTML=document.getElementById("slink").value;
  }
